Skip to main content
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
transfers
Wallet - Transfer List
curl --request GET \
  --url https://api.dex.chainstream.io/v2/wallet/{chain}/{walletAddress}/transfers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "amount": "1.5",
      "blockTimestamp": 1717334400000,
      "fromAddress": "54Pz1e35z9uoFdnxtzjp7xZQoFiofqhdayQWBMN7dsuy",
      "id": "transfer-123",
      "toAddress": "8X35rQUK2u9hfn8rMPwwr6ZSEUhbmfDPEapp589XyoM1",
      "tokenAddress": "So11111111111111111111111111111111111111112",
      "transactionSignature": "4tEHfECrLJm8N7dNCfQSjhLG7LqdMuZhzBhRy7VRhjCt",
      "transferType": "SEND",
      "amountInUsd": "225.00"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks Supported blockchain chains

Available options:
sol,
eth,
bsc
walletAddress
string
required

An address of a wallet

Query Parameters

cursor
string

Pagination cursor

limit
integer<int64>
default:20

Number of results per page

direction
enum<string>
default:next

Pagination direction

Available options:
next,
prev
tokenAddress
string

An address of a token

fromTimestamp
integer<int64>

Filter transfers after this timestamp (Unix epoch seconds)

toTimestamp
integer<int64>

Filter transfers before this timestamp (Unix epoch seconds)

minTokenAmount
string

Minimum token amount filter (inclusive)

maxTokenAmount
string

Maximum token amount filter (inclusive)

minTokenAmountInUsd
string

Minimum token amount in USD filter (inclusive)

maxTokenAmountInUsd
string

Maximum token amount in USD filter (inclusive)

Response

200 - application/json

Successful response

Generic pagination response

data
object[]
required

Page data

endCursor
string | null

Cursor for the end of current page

Example:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

Example:

false

hasPrev
boolean

Whether there is a previous page

Example:

false

startCursor
string | null

Cursor for the start of current page

Example:

"eyJpZCI6InN0YXJ0In0="